Loading...
Searching...
No Matches
caf::io::network::datagram_manager Class Referenceabstract

A datagram manager provides callbacks for outgoing datagrams as well as for error handling. More...

`#include <datagram_manager.hpp>`

Inheritance diagram for caf::io::network::datagram_manager:

## Public Member Functions

virtual bool | consume (execution_unit *, datagram_handle hdl, receive_buffer &buf)=0
| Called by the underlying I/O device whenever it received data.
virtual void | datagram_sent (execution_unit *, datagram_handle hdl, size_t, std::vector< char > buffer)=0
| Called by the underlying I/O device whenever it sent data.
virtual bool | new_endpoint (receive_buffer &buf)=0
| Called by the underlying I/O device to indicate that a new remote endpoint has been detected, passing in the received datagram.
virtual uint16_t | port (datagram_handle) const =0
| Get the port of the underlying I/O device.
Public Member Functions inherited from caf::io::network::manager
void | set_parent (abstract_broker *ptr)
| Sets the parent for this manager.
abstract_broker * | parent ()
| Returns the parent broker of this manager.
bool | detached () const
| Returns true if this manager has a parent, false otherwise.
Public Member Functions inherited from caf::ref_counted
| ref_counted (const ref_counted &)
ref_counted & | operator= (const ref_counted &)
void | ref () const noexcept
| Increases reference count by one.
void | deref () const noexcept
| Decreases reference count by one and calls request_deletion when it drops to zero.
bool | unique () const noexcept
| Queries whether there is exactly one reference.
size_t | get_reference_count () const noexcept

## Additional Inherited Members

Protected Attributes inherited from caf::ref_counted
std::atomic< size_t > | rc_
Related Symbols inherited from caf::ref_counted
void | intrusive_ptr_add_ref (const ref_counted *p)
void | intrusive_ptr_release (const ref_counted *p)

## Detailed Description

A datagram manager provides callbacks for outgoing datagrams as well as for error handling.

## Member Function Documentation

## consume()

virtual bool caf::io::network::datagram_manager::consume | ( | execution_unit * | ,
|  | datagram_handle | hdl,
|  | receive_buffer & | buf )

pure virtual

Called by the underlying I/O device whenever it received data.

Returns
  true if the manager accepts further reads, otherwise false.

Implemented in caf::io::datagram_servant.

## datagram_sent()

virtual void caf::io::network::datagram_manager::datagram_sent | ( | execution_unit * | ,
|  | datagram_handle | hdl,
|  | size_t | ,
|  | std::vector< char > | buffer )

pure virtual

Called by the underlying I/O device whenever it sent data.

Implemented in caf::io::datagram_servant.

## new_endpoint()

virtual bool caf::io::network::datagram_manager::new_endpoint | ( | receive_buffer & | buf | ) |

pure virtual

Called by the underlying I/O device to indicate that a new remote endpoint has been detected, passing in the received datagram.

Returns
  true if the manager accepts further enpoints, otherwise false.

Implemented in caf::io::network::datagram_servant_impl.

## port()

virtual uint16_t caf::io::network::datagram_manager::port | ( | datagram_handle |  | ) | const

pure virtual

Get the port of the underlying I/O device.

Implemented in caf::io::network::datagram_servant_impl.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/datagram_manager.hpp